For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve New Project Members
      • GETRetrieve Projects the user is a member of
      • GETRetrieve Project Members
      • PUTUpdate A List Of User Project Membership
      • GETRetrieve User Project Membership
      • POSTCreate User Project Membership
      • PUTUpdate User Project Membership
      • DELRemove User Project Membership
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Members

Remove User Project Membership

DELETE
https://api.projectmanager.com/api/data/projects/:projectId/members/:userId
DELETE
/api/data/projects/:projectId/members/:userId
$curl -X DELETE https://api.projectmanager.com/api/data/projects/projectId/members/userId \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue"
13}
Removes a current project member from a specified project. This removes the user's access to that project. A project member is a user who has access to a specific project. Project members are assigned a project security role, which controls the level of access they have to the project. Possible project security roles include manage, edit, collaborate, creator, and guest.
Was this page helpful?
Previous

Retrieve Project Priorities

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
Reference to Project
userIdstringRequiredformat: "uuid"
Reference to User

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.